/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");

/**
 * Initialisation de fentre
 */
function init() {
    try {
	    var reqFrom = new QueryHttp("CRM/Mailing/selectionnerFrom.tmpl");
        var retour = reqFrom.execute();
        document.getElementById("txtExpediteur").value = retour.responseXML.documentElement.getAttribute("email");
    } catch (e) {
    	recup_erreur("erreur dans crm/user/mailing/mailing.js#init : "+ e);
    }
}

/**
 * Envoyer le message
 */
function envoyerMessage() {
    try {
        var from = document.getElementById("txtExpediteur").value;
        var sujet = document.getElementById("txtSujet").value;
        var corps = document.getElementById("txtCorps").value;
        
       if (!isEmail(from) || sujet == "" || corps == "")
            showWarning("Erreur dans le param\u00E9trage du mailing.\r"+
                        "V\u00E9rifiez l'exp\u00E9diteur, le sujet, le message.");
        else {
            var reqMailing = new QueryHttp("CRM/Mailing/envoyerMailing.tmpl");
            reqMailing.setParam("from", from);
            reqMailing.setParam("sujet", sujet);
            reqMailing.setParam("corps", corps);
            reqMailing.setParam("mode", document.getElementById("rgpModeExpedition").selectedItem.value);
            reqMailing.setParam("partenaire", document.getElementById("liste_partenaires").value);
            var reponse = reqMailing.execute();
            var erreur = reponse.responseXML.documentElement.getAttribute("erreur");
            if (erreur != "")
                showWarning(erreur);
            else
                showMessage("Mailing effectu\u00E9");
        }
    } catch (e) {
	    recup_erreur("erreur dans crm/user/mailing/mailing.js#envoyerMessage : "+ e);
    }
}

/**
 * Revenir au menu CRM
 */
function retourMenuPrincipal(){
    try {
        window.location = "chrome://opensi/content/crm/user/menu_crm.xul?" + cookie();
    } 
    catch (e) {
        recup_erreur("erreur dans crm/user/mailing/mailing.js#retourMenuPrincipal : " + e);
    }
}
